* {
    padding: 0;
    margin: 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

:root {
    --color-bg-btn: #626262;
    --color-bg-btn-hover: #626262;
    --color-shadow-btn-active: rgba(0, 0, 0, .3);
    --color-border-field: rgb(200, 200, 200);
}

.input-file {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    margin-top: 10px;
}

.input-file__input {
    display: none;
}

.input-file__field, .input-file__btn {
	height: 34px;
    padding: 6px 12px;
    border-radius: 17px;
}

.input-file__btn {
    background-color: var(--color-bg-btn);
    color: white;
    width: 170px;
    text-align: center;
    line-height: 22px;
    cursor: pointer;
}

.input-file__btn:hover {
    background-color: var(--color-bg-btn-hover);
}

.input-file__btn:active {
    -webkit-box-shadow: 0 3px 5px var(--color-shadow-btn-active) inset;
    box-shadow: 0 3px 5px var(--color-shadow-btn-active) inset;
}

.input-file__field {
    border: 1px solid var(--color-border-field);
    width: calc(100% - 182px);
    margin-right: 12px;
    line-height: 20px;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow-x: hidden
}

.input-file--reverse .input-file__field {
    -webkit-box-ordinal-group: 2;
    -ms-flex-order: 1;
    order: 1;
    margin-right: 0;
    margin-left: 12px;
}

@media screen and (max-width: 575px) {
    .input-file__field {
        width: 100%;
        margin-right: 0;
        margin-bottom: 6px;
    }

    .input-file--reverse {
        -webkit-box-pack: start;
        -ms-flex-pack: start;
        justify-content: flex-start;
    }

    .input-file--reverse .input-file__field {
        margin-left: 0;
        -webkit-box-ordinal-group: 1;
        -ms-flex-order: 0;
        order: 0;
    }
}



